﻿*************************************************************************************
***Proxyversion for KINDL Adipositas-Modul
***KINDL_analysis_parents_Adiposity_English.

***Remark:
*Higher values reflect better HrQoL.
*Items 1-12 are summarized on one scale
(see Ravens-Sieberer et al. (2012). Quality of life after in-patient rehabilitation in children with obesity 
and Wille et al. (2008). The impact of overweight and obesity on health-related quality of life in childhood - results from an intervention study).
*Item 13-15 are additional information, which do not form a scale.

*********Recoding of raw scores.
*Negativly pooled items.
RECODE p_adi_01 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_01. 
RECODE p_adi_02 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_02. 
RECODE p_adi_03 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_03. 
RECODE p_adi_04 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_04. 
RECODE p_adi_05 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_05. 
RECODE p_adi_06 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_06. 
RECODE p_adi_07 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_07. 
RECODE p_adi_08 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_08. 
RECODE p_adi_09 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_09. 
RECODE p_adi_10 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_10. 
RECODE p_adi_11 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_11. 
RECODE p_adi_13 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_13. 
RECODE p_adi_14 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_14. 
RECODE p_adi_15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO P_XDI_15. 

*Positively pooled items.
RECODE P_adi_12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO P_XDI_12. 

VARIABLE LABELS
P_XDI_01 '... my child felt fat and immobile'
P_XDI_02 '... my child got out of breath quickly and was puffed out quickly'
P_XDI_03 '... my child was sad and  depressed because of his/her weight'
P_XDI_04 '... my child was annoyed by his/her many attempts at getting thinne'
P_XDI_05 '... my child felt ashamed because of his/her weight'
P_XDI_06 '... my child was dissatisfied with him/herself because of his/her weight'
P_XDI_07 '... I grumbled with my child because of his/her weight'
P_XDI_08 '... my child had to keep an eye on his/her weight during meals at home'
P_XDI_09 '... my child was teased by others because of his/her weight'
P_XDI_10 '... my child was left out by others when they did things together, because of his/her weight'
P_XDI_11 '... my child was distracted during lessons by the thought of food'
P_XDI_12 '... my child was able to take part in PE lessons well, in spite of his/her weight'
P_XDI_13 'How often during the past week did your child have complaints because of being overweight (obese)?'
P_XDI_14 'How severe were his/her complaints because of being overweight during the past week?'
P_XDI_15 'How much did being overweight bother your child during the past week?'.
EXECUTE.

VALUE LABELS
P_XDI_01 P_XDI_02 P_XDI_03 P_XDI_04 P_XDI_05 P_XDI_06 P_XDI_07 P_XDI_08 P_XDI_09 P_XDI_10 P_XDI_11 P_XDI_13
1 'all the time'
2 'often'
3 'sometimes'
4 'seldom'
5 'never'.
EXECUTE.

VALUE LABELS
P_XDI_14
1 'very severe'
2 'fairly severe'
3 'moderately severe'
4 'somewhat severe'
5 'none at all'.
EXECUTE.

VALUE LABELS
P_XDI_15
1 'very much'
2 'fairly much'
3 'moderately'
4 'somewhat'
5 'not at all'.
EXECUTE.

VALUE LABELS
P_XDI_12
1 'never'
2 'seldom'
3 'sometimes'
4 'often'
5 'all the time'.
EXECUTE.

****Total score.
*Calculating sum score.
COMPUTE adi_mean = mean.8(P_XDI_01, P_XDI_02, P_XDI_03, P_XDI_04, P_XDI_05, P_XDI_06, P_XDI_07, P_XDI_08, P_XDI_09, P_XDI_10, P_XDI_11, P_XDI_12).
EXECUTE.

COMPUTE adi_sum = adi_mean*12.
EXECUTE.

*Calculating scale transformed to 100.
COMPUTE adi_100 = ((adi_sum-12)/48)*100.
EXECUTE.

VARIABLE LABELS
adi_mean 'KINDL - Adiposity module mean'
adi_sum 'KINDL - Adiposity module sum'
adi_100 'KINDL - Adiposity module 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.

